Bug 340267 - Plasma crashes when a DisplayPort monitor sleeps
Summary: Plasma crashes when a DisplayPort monitor sleeps
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Multi-screen support (show other bugs)
Version: master
Platform: openSUSE Linux
: NOR crash
Target Milestone: 1.0
Assignee: Aleix Pol
URL:
Keywords:
: 341444 350306 365885 366176 369183 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-10-23 18:33 UTC by Dainius Masiliūnas
Modified: 2016-10-05 18:34 UTC (History)
45 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Plasma Shell crash log (34.47 KB, text/plain)
2014-10-23 18:34 UTC, Dainius Masiliūnas
Details
plasmashell crash log (8.15 KB, text/plain)
2015-08-17 01:35 UTC, rооt
Details
Log of first plasmashell crash (28.13 KB, text/plain)
2015-09-07 19:42 UTC, Dainius Masiliūnas
Details
Log of second plasmashell crash (19.82 KB, text/plain)
2015-09-07 19:47 UTC, Dainius Masiliūnas
Details
plasmashell-20150929-014104.kcrash (14.40 KB, text/plain)
2015-09-28 22:55 UTC, rооt
Details
signature.asc (180 bytes, application/pgp-signature)
2016-04-29 03:54 UTC, E. Hakan Duran
Details
plasmashell-20160519-192638.kcrash.txt (18.26 KB, text/plain)
2016-05-19 17:40 UTC, Dainius Masiliūnas
Details
plasmashell-20160702-094825.kcrash (14.36 KB, text/plain)
2016-07-02 07:55 UTC, Dainius Masiliūnas
Details
Crash log (43.15 KB, text/plain)
2016-07-27 14:49 UTC, lbugrep
Details
drkonqi-screen (43.49 KB, image/png)
2016-08-04 08:15 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dainius Masiliūnas 2014-10-23 18:33:15 UTC
I have a dual screen configuration, with one screen being connected via DisplayPort and the other through DVI (DisplayPort is the primary). Up until I got KScreen5 installed it used to behave fine (I controlled it via xorg.conf), but now every time I turn off the DisplayPort monitor and then turn it back on, Plasma crashes and the screen configuration reverts to "clone" mode (instead of the requested extend mode). Rebooting results in the screen configuration getting applied correctly again.

Reproducible: Always

Steps to Reproduce:
1. Start Plasma 5 (verify the screens are behaving as specified in KScreen5)
2. Turn off the DisplayPort monitor
3. Turn it back on

Actual Results:  
The screens flicker for a bit, a Dr Konqi message box pops up and both screens start showing cloned display.

Expected Results:  
Plasma shouldn't crash and the screen configuration should not reset.

Afterwards KScreen5 shows only the non-DisplayPort monitor (albeit the DisplayPort one stays set as primary). It's possible to redo the configuration to get extended desktop again, but then the secondary monitor is completely black (no panels, plasmoids or wallpapers on it, just programs can be put on it).

The crash trace is attached.

I'm using openSUSE 13.1 with the Frameworks repository.
Comment 1 Dainius Masiliūnas 2014-10-23 18:34:29 UTC
Created attachment 89284 [details]
Plasma Shell crash log
Comment 2 Aleix Pol 2014-10-28 16:08:02 UTC
I get that too.
In fact it's many components crashing most of the time, looks like a bug in Qt.
Comment 3 Dainius Masiliūnas 2015-03-14 19:07:47 UTC
Just updated to Plasma 5.2.1, and the issue remains, although it's slightly different now. The DisplayPort monitor still doesn't show anything once it's turned back on, but I don't seem to get a crash message now. Also, when that happens, moving the mouse towards where the DisplayPort screen is supposed to be makes X.org scroll the screen (just like if you set the virtual X.org screen bigger than the physical one).

Again, this only happens when KScreen5 is installed.
Comment 4 Philipp Hanslovsky 2015-05-06 22:19:39 UTC
I have a similar issue with Plasma 5.3 (installed the version from the arch linux repositories) and KScreen5. Both of my monitors are connected via DisplayPort and when I turn them off, I end up with a black screen when turning them back on. Most of the times I have not been able to switch to tty (never when I lock the screen before), so I had to do a hard reboot of my computer. 

How do I access KScreen error logs and are they available after reboot?

Using KScreen4, I can turn the screens off and on (both with and without locking the screen beforehand).
Comment 5 Marco Martin 2015-05-12 11:12:22 UTC
pasting inline relevant piece
Thread 1 (Thread 0x7f2def2fe880 (LWP 1139)):
[KCrash Handler]
#5  0x00007f2de9e2b65d in QScreen::virtualSiblings (this=<optimized out>) at kernel/qscreen.cpp:295
#6  0x00007f2de9e2b923 in QScreen::virtualGeometry (this=<optimized out>) at kernel/qscreen.cpp:330
#7  0x000000000043e9e2 in PanelView::updateStruts (this=this@entry=0x2925a10) at /usr/src/debug/plasma-workspace-5.1.0/shell/panelview.cpp:731
#8  0x0000000000441527 in PanelView::setVisibilityMode (this=this@entry=0x2925a10, mode=PanelView::NormalPanel) at /usr/src/debug/plasma-workspace-5.1.0/shell/panelview.cpp:340
#9  0x00000000004419e5 in PanelView::restore (this=0x2925a10) at /usr/src/debug/plasma-workspace-5.1.0/shell/panelview.cpp:514
#10 0x0000000000441bad in operator() (__closure=<optimized out>) at /usr/src/debug/plasma-workspace-5.1.0/shell/panelview.cpp:76
#11 call (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:502
#12 call<QtPrivate::List<>, void> (arg=<optimized out>, f=...) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:559
#13 QtPrivate::QFunctorSlotObject<PanelView::PanelView(ShellCorona*, QScreen*, QWindow*)::__lambda0, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=880367024, this_=0x2d0a050, r=0x0, a=0x7f2d, ret=0x3) at /usr/include/qt5/QtCore/qobject_impl.h:200
#14 0x00007f2de98fc763 in call (a=0x7fff347958f0, r=0x2925a10, this=0x2aa2d80) at ../../src/corelib/kernel/qobject_impl.h:132
#15 QMetaObject::activate (sender=sender@entry=0x2925ab0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3667
#16 0x00007f2de98fd117 in QMetaObject::activate (sender=sender@entry=0x2925ab0, m=m@entry=0x7f2de9d0e7e0 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#17 0x00007f2de9979cf0 in QTimer::timeout (this=this@entry=0x2925ab0) at .moc/moc_qtimer.cpp:191
#18 0x00007f2de9909ce2 in QTimer::timerEvent (this=0x2925ab0, e=<optimized out>) at kernel/qtimer.cpp:255
#19 0x00007f2de98fd6ec in QObject::event (this=0x2925ab0, e=<optimized out>) at kernel/qobject.cpp:1222
#20 0x00007f2dea56fd0c in QApplicationPrivate::notify_helper (this=this@entry=0xe49d10, receiver=receiver@entry=0x2925ab0, e=e@entry=0x7fff34795d20) at kernel/qapplication.cpp:3499
#21 0x00007f2dea574c46 in QApplication::notify (this=0x7fff347960d0, receiver=0x2925ab0, e=0x7fff34795d20) at kernel/qapplication.cpp:3282
#22 0x00007f2de98cdd05 in QCoreApplication::notifyInternal (this=0x7fff347960d0, receiver=0x2925ab0, event=0x7fff34795d20) at kernel/qcoreapplication.cpp:935
#23 0x00007f2de99244ad in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:237
#24 QTimerInfoList::activateTimers (this=0xec6330) at kernel/qtimerinfo_unix.cpp:643
#25 0x00007f2de99247d1 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:185
#26 0x00007f2de5441316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#27 0x00007f2de5441668 in ?? () from /usr/lib64/libglib-2.0.so.0
#28 0x00007f2de544170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#29 0x00007f2de9924a9c in QEventDispatcherGlib::processEvents (this=0xed9500, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#30 0x00007f2de98cbc1b in QEventLoop::exec (this=this@entry=0x7fff34795f70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#31 0x00007f2de98d3276 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#32 0x00007f2de9dfb34c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1483
#33 0x00007f2dea56e425 in QApplication::exec () at kernel/qapplication.cpp:2744
#34 0x0000000000430f0c in main (argc=2, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.1.0/shell/main.cpp:148
Comment 6 Marco Martin 2015-05-12 11:14:23 UTC
*** Bug 341444 has been marked as a duplicate of this bug. ***
Comment 7 Marco Martin 2015-07-20 09:01:19 UTC
*** Bug 350306 has been marked as a duplicate of this bug. ***
Comment 8 Gustavo Alvarez 2015-07-20 18:39:16 UTC
other log. 

this by journalctlr when unplug/plug the DP cable

http://sl1pkn07.wtf/paste/view/e17bf8d5
Comment 9 Gustavo Alvarez 2015-07-20 18:50:28 UTC
kscreen-console outputs

http://sl1pkn07.wtf/paste/view/240f98c2
Comment 10 ttrovo 2015-07-27 12:50:48 UTC
I have a similar bug in KDE 5 (up to date Kubuntu 15.04)
Displayport-monitor after turning off for some time and on - shows nothing. Mouse and keyboard don't help to show KDE 5/Xorg. Ctrl+Alt+F1 works and turns monitor on, but Ctrl+Alt+F7 shows nothing (black screen with no signal).
Comment 11 Gustavo Alvarez 2015-07-29 13:25:54 UTC
my ugly workground: http://wstaw.org/m/2015/07/29/IMG_20150729_151921.jpg 

#nope
Comment 12 Dainius Masiliūnas 2015-08-04 10:03:02 UTC
Still the same problem with Plasma 5.3.2. In fact, the screen gets completely corrupted upon returning from sleep now.

Removing KScreen5 and using xorg.conf.d to configure dual monitors works around the problem.
Comment 13 Sandro 2015-08-08 01:17:09 UTC
I'm affected by a similar problem, more aptly highlighted here: https://bugs.kde.org/show_bug.cgi?id=351025  If yours sounds more like that one, please indicate such there.

For the record, I'm not really keen on this xorg workaround.  It works for me on my desktop machine that exhibits this problem, however, keep in mind that for a laptop, it's not uncommon to connect/disconnect the external monitor and the same happens each time there.  Reverting to relying on xorg removes any benefit from having a laptop with an external monitor.
Comment 14 Dainius Masiliūnas 2015-08-08 07:05:05 UTC
(In reply to liquid from comment #13)
> I'm affected by a similar problem, more aptly highlighted here:
> https://bugs.kde.org/show_bug.cgi?id=351025  If yours sounds more like that
> one, please indicate such there.

Not in my case. I have two monitors, and only the DisplayPort one causes issues; the one connected through DVI always works perfectly well and doesn't cause crashes.
Comment 15 Gustavo Alvarez 2015-08-16 19:38:04 UTC
any update?
Comment 16 rооt 2015-08-17 01:35:43 UTC
Created attachment 94067 [details]
plasmashell crash log
Comment 17 Zachary Grogan 2015-08-17 14:51:15 UTC
Right?  I sure would like to switch back to kde.  Cinnamon is okay for now...


> On Aug 16, 2015, at 1:38 PM, Gustavo Alvarez <sl1pkn07@gmail.com> wrote:
> 
> https://bugs.kde.org/show_bug.cgi?id=340267
> 
> --- Comment #15 from Gustavo Alvarez <sl1pkn07@gmail.com> ---
> any update?
> 
> -- 
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 18 Matthias Blaicher 2015-08-17 15:42:11 UTC
(In reply to Gustavo Alvarez from comment #15)
> any update?

You'll have to wait for Qt 5.5.1 in September and even then there might still be remaining issues...
Comment 19 Dainius Masiliūnas 2015-09-07 19:42:47 UTC
Created attachment 94458 [details]
Log of first plasmashell crash

Updated to Plasma 5.4 on Tumbleweed (Qt 5.4.2), and now it's even worse. Removing KScreen5 no longer works around the issue, and each time the monitor (I'm actually using a single one now) is put to sleep and woken up, Plasma crashes repeatedly and doesn't respawn any more.
Comment 20 Dainius Masiliūnas 2015-09-07 19:47:41 UTC
Created attachment 94459 [details]
Log of second plasmashell crash

Attached the logs. The first crash is caused by KScreen and whatnot, and the second crash is probably plasmashell not coping with the first crash well enough any more. Subsequent crash logs are more or less the same as the second crash log.
Comment 21 Jason 2015-09-16 06:46:42 UTC
just adding a me-too.  quite annoying, this bug.  The screen corruption in particular is a troll for me, the screen contents are the same and the cursor updates, but no widgets are interactable, and restarting kwin_x11 and plasmashell have no effect. So far only killing xorg brings it back.  I'm glad to see the problem isn't in the intel drivers I'm using but let's see if we can get some test patches out for this.
Comment 22 rооt 2015-09-28 22:55:13 UTC
Created attachment 94767 [details]
plasmashell-20150929-014104.kcrash

Qt 5.5.0 
plasma crashes if off and switch on the monitor, but appears only bug reports and plasma restart and continue working
Comment 23 Christoph Cullmann 2015-10-05 13:27:58 UTC
Thats one of the many variants of

https://bugreports.qt.io/browse/QTBUG-42985

And no, not fixed, not even with all patches in that bug.
Please report more info there, to give them a better chance to fix it and raise awareness, the kde bugtracker doesn't help for that.
Comment 24 darkbasic 2015-11-25 11:13:06 UTC
Resolved upstream? Which version of QT? With qt 5.5.1 on Arch Linux it's still a nightmare with displayport.
Comment 25 michael 2015-12-22 09:56:20 UTC
I observe a similar problem with openSUSE Leap 42.1 and KDE Plasma 5.4. I have updated from openSUSE 13.2 with KDE 4 and now have this annoying bug. Indeed I do have this only with Displayport and not with HDMI. As soon as I switch off the monitor and switch on, my control panel is gone. Every time with no exception.
Comment 26 Johan Reitan 2016-01-17 22:35:18 UTC
Definitely not resolved with QT 5.5.1 and Plasma 5.5 on Arch Linux.
Comment 27 James Hanks 2016-01-22 17:09:13 UTC
I am using OpenSuse Leap 42.1 (Plasma 5.4.3, QT 5.5.1 and Plasma crashes without fail every time I disconnect/power off a VGA monitor from my laptop. Furthermore, I cannot generate crash reports because the attempts to load symbol packages fail. I hope this gets fixed soon.. I love Plasma 5, but this is really maddening.
Comment 28 Dainius Masiliūnas 2016-01-22 18:57:42 UTC
It should be resolved in Qt 5.6. It's not surprising that it's not working for those on the 5.5 branch.
Comment 29 michael 2016-01-23 08:27:25 UTC
(In reply to Dainius Masiliūnas from comment #28)
> It should be resolved in Qt 5.6. It's not surprising that it's not working
> for those on the 5.5 branch.

Does it mean, it won't be fixed in 5.5, which probably means it won't be fixed in OS 42.1, due to a major software update? 

Actually, I do not only have this reproducible crash with DP, I also have occasionally problems with HDMI, which after resuming from suspend stays black. But switching to another windowmanger, like gnome or entlightment, everything works pretty well.  

For this reason I have switched the windowmanager, also because KDE5 plasma has a bug which prevents to restore the complete desktop state, which is also yet not resolved.
Comment 30 Dainius Masiliūnas 2016-01-23 11:03:10 UTC
(In reply to michael from comment #29)
> 
> Does it mean, it won't be fixed in 5.5, which probably means it won't be
> fixed in OS 42.1, due to a major software update? 

Possibly. It certainly won't be fixed by Qt devs, although the patch could perhaps be backported by distributions. Again, see this: https://bugreports.qt.io/browse/QTBUG-42985

> Actually, I do not only have this reproducible crash with DP, I also have
> occasionally problems with HDMI, which after resuming from suspend stays
> black. But switching to another windowmanger, like gnome or entlightment,
> everything works pretty well.  
> 
> For this reason I have switched the windowmanager, also because KDE5 plasma
> has a bug which prevents to restore the complete desktop state, which is
> also yet not resolved.

Yes, this is also not surprising. It's a Qt bug, it affects the whole of Qt. The bug is that whenever a monitor disappears (gets turned off or disconnected), QScreen becomes a null pointer, and Qt crashes on itself. So it's not specific to DisplayPort (aside from the fact that turning off the screen when on DisplayPort makes it disappear), and using non-Qt window managers obviously means you're not affected.
Comment 31 James Hanks 2016-01-23 19:43:51 UTC
Bloody hell, I don't understand how QT could be released with a bug like this, much less the developers being unconcerned about fixing it.
Comment 32 Dainius Masiliūnas 2016-01-23 20:02:18 UTC
(In reply to James Hanks from comment #31)
> Bloody hell, I don't understand how QT could be released with a bug like
> this, much less the developers being unconcerned about fixing it.

I don't understand why it was released that way either, but they were quite concerned with fixing it. After all, the bug is priority P1: Critical. They just couldn't fix it (probably too many points of failure to account for). IIRC it's not even really fixed in Qt 5.6, it was just reverted to lying that the screen exists, like in previous Qt versions, which prevents the crashing.
Comment 33 Thiago Oliveira 2016-02-18 14:41:59 UTC
One year has been passed since the first entry in the bug track and no solution so far... :(
Comment 34 Aleix Pol 2016-02-19 18:44:35 UTC
@Thiago: Update to Qt 5.6 when it's available
Comment 35 valdikss 2016-03-24 18:06:29 UTC
With Qt 5.6.0 it's much better: so far I never got it to crash that hard that the whole session is crashed, but plasma (plasmashell) is still crashes, even in KDE 5.6.0.


#0  0x00007ffff60da270 in Plasma::Applet::actions() const () from /usr/lib/libKF5Plasma.so.5
#1  0x00000000004460ce in ?? ()
#2  0x000000000044625f in ?? ()
#3  0x00007ffff1c74bae in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQt5Core.so.5
#4  0x00007ffff6da43bf in KScreen::Output::apply(QSharedPointer<KScreen::Output> const&) () from /usr/lib/libKF5Screen.so.7
#5  0x00007ffff6d85f85 in KScreen::Config::apply(QSharedPointer<KScreen::Config> const&) () from /usr/lib/libKF5Screen.so.7
#6  0x00007ffff6d91fa6 in KScreen::ConfigMonitor::Private::updateConfigs(QSharedPointer<KScreen::Config> const&) ()
   from /usr/lib/libKF5Screen.so.7
#7  0x00007ffff6d93e71 in KScreen::ConfigMonitor::Private::edidReady(QDBusPendingCallWatcher*) () from /usr/lib/libKF5Screen.so.7
#8  0x00007ffff1c74bae in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQt5Core.so.5
#9  0x00007ffff2a86e1f in QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*) () from /usr/lib/libQt5DBus.so.5
#10 0x00007ffff2a86f18 in ?? () from /usr/lib/libQt5DBus.so.5
#11 0x00007ffff1c75659 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#12 0x00007ffff2df968c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#13 0x00007ffff2dfe8f6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#14 0x00007ffff1c48518 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#15 0x00007ffff1c4a3da in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#16 0x00007ffff1c9d883 in ?? () from /usr/lib/libQt5Core.so.5
#17 0x00007fffeda0dd87 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x00007fffeda0dfe0 in ?? () from /usr/lib/libglib-2.0.so.0
#19 0x00007fffeda0e08c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#20 0x00007ffff1c9dcab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#21 0x00007ffff1c466fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#22 0x00007ffff1c4eb7c in QCoreApplication::exec() () from /usr/lib/libQt5Core.so.5
#23 0x000000000041c176 in ?? ()
#24 0x00007ffff12c7710 in __libc_start_main () from /usr/lib/libc.so.6
#25 0x000000000041c2d9 in _start ()
Comment 36 Christoph 2016-04-01 16:08:24 UTC
kwin 5.6.1
plasmashell 5.6.1

kscreen.xcb.helper / kscreen.xrandr treats the monitor in DisplayPort which is in PowerSafe as disconnected and resets my monitor-config. Widgets are moved to the MainScreen.
Mousemove activates the screen after a short flickering, sometimes plasmashell crashes.
All widgets / taskbar remain on the MainScreen.
Comment 37 Thomas Weissel 2016-04-11 16:23:41 UTC
plasma 5.5.4 (kubuntu 16.04) 
qt 5.5.1

everytime one of the two monitors goes to sleep plasma crashes..  kwin is still working so i'm able to continue with my work but plasma is not respawning and i'm not able to restart it..  
no error message whatsoever.


if this is resolved in upstream (as mentioned in the description)  i really hope they will somehow backport the bugfix otherwise kubuntu 16.04 will not support displayport monitors at all..  this is an absolut no-go
Comment 38 Thomas Weissel 2016-04-11 16:27:53 UTC
i have to correct myself...  in my case it absolutely doesn't matter if i disconnect(poweroff) a DVI or HDMI or DisplayPort screen..     plasma crashes everytime!
Comment 39 rооt 2016-04-12 00:22:03 UTC
Xapient Try this ppa
https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/staging-plasma
it works for me
and may help you
Comment 40 Thomas Weissel 2016-04-16 17:51:22 UTC
@root:   this only delivers plasma 5.5.5 which is already in the default repos and doesn't solve the problem :(

the moment one of the screens powers down plasma crashes and does not restart.

hitting alt+f2 (starting krunner) and executing "killall plasmashell" and then "plasmashell" now restarts the plasmashell properly..
Comment 41 Soren Harward 2016-04-25 14:06:36 UTC
Still crashing with plasmashell 5.6.3 and Qt 5.6.0.  Running the following crashes plasmashell every single time:

$ xrandr --output DisplayPort-2 --off --output DisplayPort-3 --off && sleep 0.2 && xrandr --output DisplayPort-2 --preferred --output DisplayPort-3 --preferred --right-of DisplayPort-2

If I bring up krunner using <alt>+<F2>, krunner immediately crashes (this didn't happen before 5.6.3), which makes restarting plasmashell is even more difficult :(

Upstream seems to think the underlying Qt bug is fixed ( https://bugreports.qt.io/browse/QTBUG-42985 ), so it looks like this is something that needs to be addressed in KDE-land.
Comment 42 Thomas Weissel 2016-04-25 20:02:37 UTC
i just tried it with another pc and HDMI connection..  same problem..  the only thing those two pcs have in common is the intelHD graphics card...    could this be an intel driver issue after all?
Comment 43 Soren Harward 2016-04-25 20:25:26 UTC
(In reply to Xapient from comment #42)
> could this be an intel driver issue after all?

No.  I'm using the amdgpu drivers.
Comment 44 E. Hakan Duran 2016-04-29 03:54:17 UTC
Created attachment 98679 [details]
signature.asc

On Monday, April 25, 2016 8:25:26 PM CDT Soren Harward via KDE Bugzilla wrote:
> https://bugs.kde.org/show_bug.cgi?id=340267
> 
> --- Comment #43 from Soren Harward <stharward@gmail.com> ---
> (In reply to Xapient from comment #42)
> 
> > could this be an intel driver issue after all?
> 
> No.  I'm using the amdgpu drivers.

No, I am using Nvidia drivers.
Comment 45 Thomas Weissel 2016-05-02 16:59:47 UTC
well.. it is no displayport issue either..  i'm using dvi and hdmi ports and the same thing happens..

a monitor goes to sleep (or is turned off) and plasma says bye bye (on dualscreen it sometimes happens that one of the two screens still shows the background and is reacting to rightclick.. that's the weirdest thing of all - a partial crash? )


i'm really stuck here..  on 3 notebooks and 8 dell machines i testet the newest version there is no problem at all...

so what exactly is the reason for this bug.... ? !  and why didn't it happen on kubuntu 15.10 ?
Comment 46 Thomas Weissel 2016-05-02 17:11:56 UTC
is this the same bug and reason for this behaviour? 

https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1548766
Comment 47 Thomas Weissel 2016-05-02 17:44:34 UTC
i just testet qt5.6.0 - still the same..  plasma thinks the sleeping screen is gone forever .. 
i cant reproduce this everytime..  

tried to reconfigure the screens but nothing ...  only restarting plasma helps
Comment 48 Paul 2016-05-09 17:43:38 UTC
This was first reported on 2014 and still no fix, on a Long Term Release no less.

I can confirm this is still present on Plasma 5.5.5 and Qt 5.5.1 and Kubuntu 16.04, using two monitors with displayport and nvidia-364. Whenever the monitors go to sleep and wake up, plasma is dead and no bug report window appears nor does it restart. Like comment 40 mentioned alt + f2, killall plasmashell and kstart plasmashell restores the interface.

Sometimes the dual monitor setup gets messed up as well and you have to redo it.
Comment 49 Dainius Masiliūnas 2016-05-19 17:40:37 UTC
Created attachment 99081 [details]
plasmashell-20160519-192638.kcrash.txt

Confirmed, Plasma still crashes when the monitor is turned off with Qt 5.6. A new crash log from DrKonqi is attached.
Comment 50 Christoph Feck 2016-06-13 16:17:47 UTC
Can you please test with Qt 5.6.1 ?

Recent backtraces are bug 351507, but the original issue might also be fixed with newest Qt.
Comment 51 Michael Butash 2016-06-14 05:02:29 UTC
Nastiness, stuck with older qt in ubuntu 16.04, had to stop using kde since it forced all sorts of oddities around qt-based anything with 3x 4k hdmi tv's that would come and go when I'd power them off for the night (no dpms-ish features for hdmi it seems).  Plasma guys blame qt, but they thrash and die in many ugly ways as a result that seem unnatural despite inadequacies in qt like this.  

Really liked plasma otherwise, but had to go back to something that worked.  I'm finding cinnamon doesn't suck with modern mesa/radeon drivers vs proprietary fglrx+compositing hell.  We need this fix asap in older kde distros for mobility and big-4k-tv love again.
Comment 52 michael 2016-06-14 05:09:11 UTC
Me too, I know it is off-topic, but I have switched all desktops (7) in my work group, from KDE to gnome. It is unbelievable that such an important bug is not fixed in more than one year.
Comment 53 Soren Harward 2016-06-17 00:21:48 UTC
(In reply to Christoph Feck from comment #50)
> Can you please test with Qt 5.6.1 ?

Still getting crashes in plasmashell with qt-5.6.1 and plasma-5.6.5, though less frequently.  Now it seems to happen only when the displays are turned off for an extended period of time; I'll do some more testing and see if I can figure out exactly how long "an extended period of time" actually is.

krunner and kwin_x11 also crashed frequently before qt-5.6.1 and plasma-5.6.5, and haven't done so since.

The xrandr command I listed in comment #41 doesn't cause plasmashell to crash anymore, but when I run it the panel moves back and forth between monitors unpredictably, even when I set one of the outputs as "--primary" in xrandr, and even when widgets are locked.
Comment 54 Michael Butash 2016-06-19 18:44:59 UTC
Interestingly enough I installed kde-backports and dist-upgraded to pull down plasma 5.6.5, but that kept qt at 5.5.1.  I gave it a stress test flipping my 3x displays on and off in various orders, and it's behaving a far sight better than it had, and hasn't crashed.  

The only anomalies now so far currently is it still doesn't put the displays back in the right places and offsets, which results in me having to move them about to realign after the third on/off and it doesn't always move the kde panel to the primary display, sometimes even flickering back and forth.

I'm going to see if I can find where to get libqt5 in 5.6.1 or higher too, but this seems to indicate it isn't entirely a Qt problem.
Comment 55 Dainius Masiliūnas 2016-07-02 07:55:47 UTC
Created attachment 99797 [details]
plasmashell-20160702-094825.kcrash

Tested with Qt 5.6.1, still crashes. See attached log.
The Plasma version is 5.6.4.
Comment 56 Marco Martin 2016-07-08 10:33:37 UTC
again, pasting BT inline :)

Thread 1 (Thread 0x7fb6687cf900 (LWP 29453)):
[KCrash Handler]
#6  0x00007fb666924d10 in Plasma::Applet::actions() const (this=this@entry=0x0) at /usr/src/debug/plasma-framework-5.22.0/src/plasma/applet.cpp:611
#7  0x0000000000440e73 in ShellCorona::addOutput(QSharedPointer<KScreen::Output> const&) (this=this@entry=0xc2ab20, output=...) at /usr/src/debug/plasma-workspace-5.6.4/shell/shellcorona.cpp:909
#8  0x0000000000440fef in ShellCorona::outputEnabledChanged() (this=0xc2ab20) at /usr/src/debug/plasma-workspace-5.6.4/shell/shellcorona.cpp:802
#9  0x00007fb6624d124c in QMetaObject::activate(QObject*, int, int, void**) (a=0x7fffc8cdb0c0, r=0xc2ab20, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:124
#10 0x00007fb6624d124c in QMetaObject::activate(QObject*, int, int, void**) (sender=0x100f4b0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3715
#11 0x00007fb6675df104 in KScreen::Output::apply(QSharedPointer<KScreen::Output> const&) () at /usr/lib64/libKF5Screen.so.7
#12 0x00007fb6675c3406 in KScreen::Config::apply(QSharedPointer<KScreen::Config> const&) () at /usr/lib64/libKF5Screen.so.7
#13 0x00007fb6675cfc26 in KScreen::ConfigMonitor::Private::updateConfigs(QSharedPointer<KScreen::Config> const&) () at /usr/lib64/libKF5Screen.so.7
#14 0x00007fb6675d172d in KScreen::ConfigMonitor::Private::edidReady(QDBusPendingCallWatcher*) () at /usr/lib64/libKF5Screen.so.7
#15 0x00007fb6624d124c in QMetaObject::activate(QObject*, int, int, void**) (a=0x7fffc8cdb500, r=0xe88040, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:124
#16 0x00007fb6624d124c in QMetaObject::activate(QObject*, int, int, void**) (sender=0x10016d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffc8cdb500) at kernel/qobject.cpp:3715
#17 0x00007fb6624d1757 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7fb6635136c0 <QDBusPendingCallWatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffc8cdb500) at kernel/qobject.cpp:3595
#18 0x00007fb6632f8a1f in QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*) (this=<optimized out>, _t1=<optimized out>) at .moc/moc_qdbuspendingcall.cpp:152
#19 0x00007fb6632f8b18 in QDBusPendingCallWatcher::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (this=<optimized out>) at qdbuspendingcall.cpp:488
#20 0x00007fb6632f8b18 in QDBusPendingCallWatcher::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/moc_qdbuspendingcall.cpp:83
#21 0x00007fb6624d1cf9 in QObject::event(QEvent*) (this=0x10016d0, e=<optimized out>) at kernel/qobject.cpp:1256
#22 0x00007fb663679aec in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x10016d0, e=0x7fb64403f590) at kernel/qapplication.cpp:3804
#23 0x00007fb66367ef8f in QApplication::notify(QObject*, QEvent*) (this=0x7fffc8cdbbf0, receiver=0x10016d0, e=0x7fb64403f590) at kernel/qapplication.cpp:3561
#24 0x00007fb6624a3a20 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x10016d0, event=event@entry=0x7fb64403f590) at kernel/qcoreapplication.cpp:1015
#25 0x00007fb6624a599c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x7fb64403f590, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#26 0x00007fb6624a599c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xb149f0) at kernel/qcoreapplication.cpp:1650
#27 0x00007fb6624a5e58 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#28 0x00007fb6624f96c3 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0xb7e930) at kernel/qeventdispatcher_glib.cpp:270
#29 0x00007fb65e25ee57 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#30 0x00007fb65e25f0c0 in  () at /usr/lib64/libglib-2.0.so.0
#31 0x00007fb65e25f16c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#32 0x00007fb6624f9acf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0xb973d0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#33 0x00007fb6624a176a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffc8cdbaa0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#34 0x00007fb6624a9f6c in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1285
#35 0x00007fb6629f2b6c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1607
#36 0x00007fb663676b25 in QApplication::exec() () at kernel/qapplication.cpp:2979
#37 0x000000000041d9ec in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.6.4/shell/main.cpp:139
Comment 57 Michael Butash 2016-07-09 22:15:48 UTC
Are there any repo's about with 5.6.x components for testing?  I found ubuntu's landing-11 overlay with 5.6.0, but it seems more broken than 5.5 default with kubuntu 16.04.

Otherwise, is there a recommended method of rebuilding the packages to test someone can point me at?  Has there been any progress from the other reports that have identified the problem yet?

I'm at the point I just leave the monitors on most nights, but they create a lot of heat and power usage that i'd love to just flip them off without having to reboot daily as a result to stabilize things.
Comment 58 Kristian Karl 2016-07-11 09:09:23 UTC
I'm running the latest from the NEON repo (http://archive.neon.kde.org/unstable xenial main), and the problems described in the bug report are fixed.
Comment 59 Konrad Materka 2016-07-14 09:34:29 UTC
I have the same back trace but in different situation. Probably cause is the same. In my situation it is always reproducible. It happens when I disable and enable screen again when it was affected by:
https://bugs.kde.org/show_bug.cgi?id=353975 (screen is active but just black - no background or any other plasma widgets).

I know that it might be different situation, but my guess is that during screen initialization it tries to delete old configuration that was not fully initialized. Can it happen when configuration of the same monitor changes quickly?

Running Neon User 5.7.1 with latest stable Plasma 5.7.1, Qt 5.7


Crash is from here:
#7  0x000000000043fe1f in ShellCorona::addOutput (this=0x7a3040, screen=0x43b8bb0) at /workspace/build/shell/shellcorona.cpp:862
QAction *removeAction = containment->actions()->action(QStringLiteral("remove"));
    if (removeAction) {
        removeAction->deleteLater();
}
#6  Plasma::Applet::actions (this=this@entry=0x0) at /workspace/build/src/plasma/applet.cpp:607
KActionCollection *Applet::actions() const
{
    return d->actions;
}

Variable d must be already deallocated or not initialized. Is it possible that containment is not fully initialized or it is a dangling pointer? After quick look at the code I was not able to find such situation.
Comment 60 lbugrep 2016-07-27 14:49:43 UTC
Created attachment 100336 [details]
Crash log
Comment 61 michael 2016-07-27 16:07:48 UTC
Comment on attachment 100336 [details]
Crash log

>Application: Plasma (plasmashell), signal: Segmentation fault
>Using host libthread_db library "/lib64/libthread_db.so.1".
>[Current thread is 1 (Thread 0x7f967013b8c0 (LWP 2376))]
>
>Thread 31 (Thread 0x7f95ae7f5700 (LWP 2700)):
>[KCrash Handler]
>#6  0x000000000000001b in ?? ()
>#7  0x00007f95b7e97557 in Plotter::render (this=0x175d280) at /usr/src/debug/kdeclarative-5.24.0/src/qmlcontrols/kquickcontrolsaddons/plotter.cpp:652
>#8  0x00007f9669ff624c in QtPrivate::QSlotObjectBase::call (a=0x7f95ae7f4b10, r=0x175d280, this=<optimized out>) at ../../src/corelib/kernel/qobject_impl.h:124
>#9  QMetaObject::activate (sender=sender@entry=0x4a5d020, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x0) at kernel/qobject.cpp:3715
>#10 0x00007f9669ff6757 in QMetaObject::activate (sender=sender@entry=0x4a5d020, m=m@entry=0x7f966e22b1e0 <QQuickWindow::staticMetaObject>, local_signal_index=local_signal_index@entry=6, argv=argv@entry=0x0) at kernel/qobject.cpp:3595
>#11 0x00007f966ddf8133 in QQuickWindow::beforeRendering (this=this@entry=0x4a5d020) at .moc/moc_qquickwindow.cpp:488
>#12 0x00007f966ddfc69e in QQuickWindowPrivate::renderSceneGraph (this=this@entry=0x2c815d0, size=...) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/items/qquickwindow.cpp:406
>#13 0x00007f966ddce62f in QSGRenderThread::syncAndRender (this=this@entry=0x228c7f0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:623
>#14 0x00007f966ddd3bac in QSGRenderThread::run (this=0x228c7f0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:704
>#15 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x228c7f0) at thread/qthread_unix.cpp:341
>#16 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#17 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 30 (Thread 0x7f93eeaec700 (LWP 783)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x474bb10) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x2dac2c8, mutex=mutex@entry=0x2dac2c0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x2dac2b8) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x2dac240) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x2dac240) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2dac240) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 29 (Thread 0x7f93ef2ed700 (LWP 29935)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x40eded0) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x36852e8, mutex=mutex@entry=0x36852e0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x36852d8) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x3685260) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x3685260) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x3685260) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 28 (Thread 0x7f93feffc700 (LWP 6989)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x4eaf1e0) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x23b3278, mutex=mutex@entry=0x23b3270, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x23b3268) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x23b31f0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x23b31f0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x23b31f0) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 27 (Thread 0x7f93ffffd700 (LWP 6988)):
>#0  0x00007f9665d12452 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
>#1  0x00007f9665d12f7b in ?? () from /usr/lib64/libglib-2.0.so.0
>#2  0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#3  0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f93f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#4  0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f93ffffcce0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#5  0x00007f9669dec3b3 in QThread::exec (this=this@entry=0x49d2f10) at thread/qthread.cpp:500
>#6  0x00007f966d1ca1e5 in QQmlThreadPrivate::run (this=0x49d2f10) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/ftw/qqmlthread.cpp:141
>#7  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x49d2f10) at thread/qthread_unix.cpp:341
>#8  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#9  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 26 (Thread 0x7f954e265700 (LWP 6296)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x27df300) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x27835f8, mutex=mutex@entry=0x27835f0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x27835e8) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x2783570) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x2783570) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2783570) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 25 (Thread 0x7f954effd700 (LWP 2909)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9548002d90) at thread/qthread_unix.cpp:341
>#12 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#13 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 24 (Thread 0x7f954f7fe700 (LWP 2908)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f95540036f0) at thread/qthread_unix.cpp:341
>#10 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#11 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 23 (Thread 0x7f954ffff700 (LWP 2907)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9554003190) at thread/qthread_unix.cpp:341
>#10 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#11 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 22 (Thread 0x7f956cff9700 (LWP 2906)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#12 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#13 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#14 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#15 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#16 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#17 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#18 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#19 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9560002b90) at thread/qthread_unix.cpp:341
>#20 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#21 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 21 (Thread 0x7f956d7fa700 (LWP 2905)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9558003190) at thread/qthread_unix.cpp:341
>#10 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#11 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 20 (Thread 0x7f956dffb700 (LWP 2904)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9564002f90) at thread/qthread_unix.cpp:341
>#10 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#11 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 19 (Thread 0x7f956e7fc700 (LWP 2903)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f9568003190) at thread/qthread_unix.cpp:341
>#12 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#13 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 18 (Thread 0x7f956effd700 (LWP 2902)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2807500) at thread/qthread_unix.cpp:341
>#12 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#13 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 17 (Thread 0x7f956f7fe700 (LWP 2901)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#12 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#13 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#14 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#15 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#16 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#17 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#18 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#19 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#20 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#21 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#22 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#23 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#24 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#25 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2c7d4f0) at thread/qthread_unix.cpp:341
>#26 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#27 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 16 (Thread 0x7f956ffff700 (LWP 2900)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2d22b80) at thread/qthread_unix.cpp:341
>#10 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#11 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 15 (Thread 0x7f958499c700 (LWP 2899)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#12 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#13 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#14 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#15 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#16 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#17 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#18 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#19 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#20 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#21 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#22 0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#23 0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#24 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#25 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2cbe500) at thread/qthread_unix.cpp:341
>#26 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#27 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 14 (Thread 0x7f958519d700 (LWP 2898)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2d22e80) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2333eb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f95a2141ec0 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#4  0x00007f95a2146068 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#5  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#6  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#7  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#8  0x00007f95a21460c2 in ?? () from /usr/lib64/libKF5ThreadWeaver.so.5
>#9  0x00007f95a214103d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib64/libKF5ThreadWeaver.so.5
>#10 0x00007f95a2143f09 in ThreadWeaver::Thread::run() () from /usr/lib64/libKF5ThreadWeaver.so.5
>#11 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2a9b960) at thread/qthread_unix.cpp:341
>#12 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#13 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 13 (Thread 0x7f9590a58700 (LWP 2897)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x1c22330) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x2aadf88, mutex=mutex@entry=0x2aadf80, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x2aadf78) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x2aadf00) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x2aadf00) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x2aadf00) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 12 (Thread 0x7f9591972700 (LWP 2845)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2820360) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x2849848, mutex=mutex@entry=0x2849840, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x2849838) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x28497c0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x28497c0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x28497c0) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 11 (Thread 0x7f95922b5700 (LWP 2717)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x2407770) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0xb6bb18, mutex=mutex@entry=0xb6bb10, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0xb6bb08) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0xb6ba90) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0xb6ba90) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0xb6ba90) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 10 (Thread 0x7f9593775700 (LWP 2710)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x1ef3e50) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0x16760a8, mutex=mutex@entry=0x16760a0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x1676098) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x1676020) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0x1676020) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x1676020) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 9 (Thread 0x7f959d185700 (LWP 2704)):
>#0  0x00007f96696eda1d in poll () from /lib64/libc.so.6
>#1  0x00007f9665d13056 in ?? () from /usr/lib64/libglib-2.0.so.0
>#2  0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#3  0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f95980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#4  0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f959d184cc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#5  0x00007f9669dec3b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
>#6  0x00007f959f8fee17 in KCupsConnection::run() () from /usr/lib64/libkcupslib.so
>#7  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x1de5a70) at thread/qthread_unix.cpp:341
>#8  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#9  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 8 (Thread 0x7f95b5449700 (LWP 2461)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x124b440) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=this@entry=0xd14648, mutex=mutex@entry=0xd14640, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd33f5 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0xd14638) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:236
>#4  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0xd145c0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:684
>#5  0x00007f966ddd3cea in QSGRenderThread::run (this=0xd145c0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:713
>#6  0x00007f9669df12d8 in QThreadPrivate::start (arg=0xd145c0) at thread/qthread_unix.cpp:341
>#7  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#8  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 7 (Thread 0x7f95b6c35700 (LWP 2456)):
>#0  0x00007f96696eda1d in poll () from /lib64/libc.so.6
>#1  0x00007f9665d13056 in ?? () from /usr/lib64/libglib-2.0.so.0
>#2  0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#3  0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f95b00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#4  0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f95b6c34c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#5  0x00007f9669dec3b3 in QThread::exec (this=this@entry=0xfb6650) at thread/qthread.cpp:500
>#6  0x00007f966dd62606 in QQuickPixmapReader::run (this=0xfb6650) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/util/qquickpixmapcache.cpp:817
>#7  0x00007f9669df12d8 in QThreadPrivate::start (arg=0xfb6650) at thread/qthread_unix.cpp:341
>#8  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#9  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 6 (Thread 0x7f96431d5700 (LWP 2430)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f966f7fffc4 in ?? () from /usr/lib64/libQt5Script.so.5
>#2  0x00007f966f800009 in ?? () from /usr/lib64/libQt5Script.so.5
>#3  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#4  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 5 (Thread 0x7f9650f75700 (LWP 2427)):
>#0  0x00007f9665d570c4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
>#1  0x00007f9665d12f6e in ?? () from /usr/lib64/libglib-2.0.so.0
>#2  0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#3  0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f96480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#4  0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f9650f74ce0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#5  0x00007f9669dec3b3 in QThread::exec (this=this@entry=0x966280) at thread/qthread.cpp:500
>#6  0x00007f966d1ca1e5 in QQmlThreadPrivate::run (this=0x966280) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/ftw/qqmlthread.cpp:141
>#7  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x966280) at thread/qthread_unix.cpp:341
>#8  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#9  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 4 (Thread 0x7f96529c5700 (LWP 2410)):
>#0  0x00007f9665d570a9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
>#1  0x00007f9665d13012 in ?? () from /usr/lib64/libglib-2.0.so.0
>#2  0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#3  0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f96440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#4  0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f96529c4ce0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#5  0x00007f9669dec3b3 in QThread::exec (this=this@entry=0x84ef90) at thread/qthread.cpp:500
>#6  0x00007f966d1ca1e5 in QQmlThreadPrivate::run (this=0x84ef90) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/qml/qml/ftw/qqmlthread.cpp:141
>#7  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x84ef90) at thread/qthread_unix.cpp:341
>#8  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#9  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 3 (Thread 0x7f9653fff700 (LWP 2380)):
>#0  0x00007ffda38b9b88 in clock_gettime ()
>#1  0x00007f96697030a6 in clock_gettime () from /lib64/libc.so.6
>#2  0x00007f9669e9cd96 in qt_clock_gettime (ts=0x7f9653ffea30, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:105
>#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:156
>#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:165
>#5  0x00007f966a01c699 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f964c002ed0) at kernel/qtimerinfo_unix.cpp:84
>#6  0x00007f966a01cc45 in QTimerInfoList::timerWait (this=0x7f964c002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:381
>#7  0x00007f966a01dfde in timerSourcePrepareHelper (timeout=0x7f9653ffeb04, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
>#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f9653ffeb04) at kernel/qeventdispatcher_glib.cpp:159
>#9  0x00007f9665d125a9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
>#10 0x00007f9665d12f7b in ?? () from /usr/lib64/libglib-2.0.so.0
>#11 0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#12 0x00007f966a01eaeb in QEventDispatcherGlib::processEvents (this=0x7f964c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
>#13 0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7f9653ffecd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#14 0x00007f9669dec3b3 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:500
>#15 0x00007f966abcd9b5 in ?? () from /usr/lib64/libQt5DBus.so.5
>#16 0x00007f9669df12d8 in QThreadPrivate::start (arg=0x7f966ae40d20) at thread/qthread_unix.cpp:341
>#17 0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#18 0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 2 (Thread 0x7f965a2ed700 (LWP 2378)):
>#0  0x00007f96696eda1d in poll () from /lib64/libc.so.6
>#1  0x00007f966e73b410 in ?? () from /usr/lib64/libxcb.so.1
>#2  0x00007f966e73d1a9 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
>#3  0x00007f965ccd27b9 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
>#4  0x00007f9669df12d8 in QThreadPrivate::start (arg=0x788020) at thread/qthread_unix.cpp:341
>#5  0x00007f9668ee5474 in start_thread () from /lib64/libpthread.so.0
>#6  0x00007f96696f63ed in clone () from /lib64/libc.so.6
>
>Thread 1 (Thread 0x7f967013b8c0 (LWP 2376)):
>#0  0x00007f9668eeb09f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
>#1  0x00007f9669df218b in QWaitConditionPrivate::wait (time=18446744073709551615, this=0x4731aa0) at thread/qwaitcondition_unix.cpp:136
>#2  QWaitCondition::wait (this=<optimized out>, mutex=0x228c830, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
>#3  0x00007f966ddd074f in QSGThreadedRenderLoop::polishAndSync (this=this@entry=0xbb6480, w=<optimized out>, w@entry=0x4fa5cd0, inExpose=inExpose@entry=true) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1177
>#4  0x00007f966ddd2867 in QSGThreadedRenderLoop::handleExposure (this=this@entry=0xbb6480, window=window@entry=0x4a5d020) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:973
>#5  0x00007f966ddd2e63 in QSGThreadedRenderLoop::exposureChanged (this=0xbb6480, window=0x4a5d020) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/scenegraph/qsgthreadedrenderloop.cpp:884
>#6  0x00007f966a533075 in QWindow::event(QEvent*) () from /usr/lib64/libQt5Gui.so.5
>#7  0x00007f966de06853 in QQuickWindow::event (this=this@entry=0x4a5d020, e=e@entry=0x7ffda3864190) at /usr/src/debug/qtdeclarative-opensource-src-5.6.1/src/quick/items/qquickwindow.cpp:1473
>#8  0x000000000042d0f1 in DesktopView::event (this=0x4a5d020, e=0x7ffda3864190) at /usr/src/debug/plasma-workspace-5.7.0/shell/desktopview.cpp:215
>#9  0x00007f966afa9aec in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
>#10 0x00007f966afaef8f in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
>#11 0x00007f9669fc8a20 in QCoreApplication::notifyInternal2 (receiver=0x4a5d020, event=0x7ffda3864190) at kernel/qcoreapplication.cpp:1015
>#12 0x00007f966a5283ad in QGuiApplicationPrivate::processExposeEvent(QWindowSystemInterfacePrivate::ExposeEvent*) () from /usr/lib64/libQt5Gui.so.5
>#13 0x00007f966a528f8d in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
>#14 0x00007f966a506c0b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
>#15 0x00007f965cd09050 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
>#16 0x00007f9665d12e57 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
>#17 0x00007f9665d130c0 in ?? () from /usr/lib64/libglib-2.0.so.0
>#18 0x00007f9665d1316c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
>#19 0x00007f966a01eacf in QEventDispatcherGlib::processEvents (this=0x7bcb60, flags=...) at kernel/qeventdispatcher_glib.cpp:417
>#20 0x00007f9669fc676a in QEventLoop::exec (this=this@entry=0x7ffda3864470, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
>#21 0x00007f9669fcef6c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1285
>#22 0x000000000041dd5f in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.7.0/shell/main.cpp:166
Comment 62 lbugrep 2016-07-27 17:12:57 UTC
Comment on attachment 100336 [details]
Crash log

Crash happened after waking my Monitors from sleep. Can be reliably reproduced simply by turning the screen off and back on.
Using plasmashell 5.7 and Qt 5.6.1 on openSUSE Tumbleweed
Comment 63 lbugrep 2016-07-27 17:16:31 UTC
Comment on attachment 100336 [details]
Crash log

Crash happened after waking my monitor from sleep. Can be reproduced by waiting or turning them off and back on. Using plasmashell 5.7 and Qt 5.6.1
Comment 64 Michael Butash 2016-07-27 18:09:10 UTC
Mine has been surprisingly stable since upgrading to 5.7.2 and qt 5.7.0.  No crashes, all 3 being shut on and off in various orders, left off, and back on the next day.  It'd always be toast by morning and broken while off.

Not sure if related to the multi-monitors in some way, but still seems unstable with longer use sessions over time.  I used window dimming + transparency, and after 2 days of monitors on and off, was still functional, but windows wouldn't un-dim and un-transparent when focused on.  Restarting kwin with shift-alt-f12 fixed it, but seems to start doing it again later.
Comment 65 Thomas Weissel 2016-07-28 14:19:05 UTC
(In reply to Michael Butash from comment #64)
> Mine has been surprisingly stable since upgrading to 5.7.2 and qt 5.7.0.  No
> crashes, all 3 being shut on and off in various orders, left off, and back
> on the next day.  It'd always be toast by morning and broken while off.

i also run the same software versions (kde neon) and turning a monitor off for 10 seconds and then on again seems to work for me too ! 

but going away for an hour and then coming back and waking up my screens (only the screens go to sleep not the whole system) and plasma greets me with one working screen and one black screen without a desktop containment (plasma panel is still there but the rest is black and doesn't react to rightclicks)

so it seems something got fixed - but not everything :-(
Comment 66 David Edmundson 2016-08-02 21:34:47 UTC
*** Bug 366176 has been marked as a duplicate of this bug. ***
Comment 67 David Edmundson 2016-08-02 21:34:53 UTC
*** Bug 365885 has been marked as a duplicate of this bug. ***
Comment 68 Bart 2016-08-03 14:03:01 UTC
+1 
I have the same issues, seems like a pretty nasty bug to resolve?
Comment 69 David Edmundson 2016-08-03 14:54:40 UTC
Comment #56 is a different crash (dupe of 351507)

Comments #61 #62 and #63 are a completely different crash. (dupes of https://bugs.kde.org/show_bug.cgi?id=343576) 

This has been reopened, but now the bug is a confusing mess.

I'm closing this as it it literally impossible to see what's what, and I don't think there's anything new in here.
Comment 70 Michael Butash 2016-08-03 22:15:39 UTC
It is really confusing where to begin to troubleshoot it, as I can't tell how much is related to kwin, plasmashell, or libqt underneath.  Especially the first time having to dig into KDE behind the scenes, but I've really loved the 5.x generation enough to want to try to fix this.

The only thing I will still add, that seems loosely related is that when I do get kwin to crash, which is now happening more, it still seems to lose its sense of identity among applications bound to which display.  When triggered, things like the wall papers shuffle every time monitors come and go, or when kwin crashes in particular.  

Also my taskbar can never figure out what display to end up on despite what I set the primary display to.  It does at first, but then, doesn't after time, really almost randomly lands, but never where it's supposed to - very odd.  Almost like a non-obvious display index is getting broken, but at qt, plasma, or kwin, not sure as they all seem to use/contribute in some way.  Plasmoids as well acted oddly, crashing, ghosting between displays, etc.  

All seem related to core multi-monitor function, as unplugging just one, reshuffles things, fixing some, breaking/shuffling others.  Finding the root of that "shuffling" or random landing of apps on display among identities seems key.
Comment 71 Bart 2016-08-04 08:15:01 UTC
Created attachment 100444 [details]
drkonqi-screen

Not sure if this helps to show what the problem is, but when my desktop goes on screen-saver, I get this error messages. The longer my screen stays in saver, the more messages I get (you can see that there were 17 this time.)

If there is any other output I can provide, I'm glad to do so.
Comment 72 Thomas Weissel 2016-08-10 11:35:54 UTC
(In reply to Michael Butash from comment #70)

the behaviour you described concerning the plasma panel (taskbar) seems to be fixed in plasma 5.7.3
i am using kubuntu with #neon repository and my panel stopped switching screens ...

the plasma-desktop-containment still has a problem with screens that go to sleep and wake up again..   it sometimes stays black/inactive on one of the screens..

because i think this is a different bug i openend another ticket here:
https://bugs.kde.org/show_bug.cgi?id=366207
Comment 73 Michael Butash 2016-08-21 04:32:55 UTC
Running 5.7.2+p16.04+git* as of last night seems to be far better behaved, putting windows back after shutting down my tv/displays, as well as hard-disconnecting each.

Oddly though, I got weirdness when I was disconnecting each display in a test.  Went sort of like this:

1) Disconnected far right display, port 0
  - display removed, migrated windows and desktop to adjacent displays normally, worked as expected.
2) Disconnected middle display, port 1
  - Display removed, migrated windows, but wallpaper went blank on one of the two remaining displays, and kwin seemed to fall out of compositing mode with cairo-dock showing banded lines as a sign of compositing being off/broken.  Plugged it back in, and it moved everything back with full wallpapers normally as I would expect.
3) Disconnected Left display, port 2
  - Display removed, migrated windows and desktop to adjacent displays, behaved normally.
4) Disconnected Left display, port 2 again, was going to test removing multiples
  - Display removed and all screens went blank, none initializing and displays showing no connected input sources.  Reconnected port 2, and all displays came back.

Needless to say, it *sort of* works, but inconsistent.  Definitely an improvement, but still seems to leave something to be desired.
Comment 74 Michael Butash 2016-08-21 04:38:45 UTC
Relevant note - the middle display that acted weird mostly was set to be the primary display as well.  Prior, it acted like the task bar was polarized to pretty much anything *but* it, but really odd disconnecting that one caused the most odd effect, possibly due to being set as the primary.

I get lots of really odd compositing issues, mostly due to being a gigantic framebuffer some video cards seem to not handle well ala 11520x2160.  I suspect at times gpu processing contributes to weirdness, but not sure the graphic diversity of the folks developing the platforms on.  I'm using AMD.
Comment 75 Dainius Masiliūnas 2016-08-28 20:37:29 UTC
For what it's worth, after updating to Plasma 5.7.3 (still on Qt 5.6.1), I no longer get any crashes when I put my DisplayPort monitor to sleep. So I can indeed consider this issue fixed now.
Comment 76 David Edmundson 2016-09-22 15:27:23 UTC
*** Bug 369183 has been marked as a duplicate of this bug. ***